package com.muni.cv2layouts.activity;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ListView;
import android.widget.Toast;

import com.muni.cv2layouts.R;
import com.muni.cv2layouts.adapter.UserAdapter;
import com.muni.cv2layouts.model.User;

public class ListViewActivity extends AppCompatActivity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_list_view);

		ListView listView = (ListView) findViewById(R.id.list);
		listView.setAdapter(new UserAdapter(this, User.getUsersExample()));
		listView.setOnItemClickListener(new AdapterView.OnItemClickListener() {
			@Override public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
				User user = (User) parent.getItemAtPosition(position);
				String userName = user.name + " " + user.surname;
				Toast.makeText(ListViewActivity.this, getResources().getString(R.string.toast_user, userName), Toast.LENGTH_LONG).show();
			}
		});
	}
}